#if !defined(_GPS_LIB_DEFS_H)

#define _GPS_LIB_DEFS_H

/* GPS Board registers.
   Les bits Ma2 et MA3 sont utilises pour differencier les 3 registres.
   */
#define GPS_CALIB     (unsigned int *)0xF9000004
#define GPS_FAST_NANOS  (unsigned int *)0xF9000008
#define GPS_FAST_SECOND (unsigned int *)0xF900000C
#define GPS_SLOW_NANOS  (unsigned int *)0xF9000008
#define GPS_SLOW_SECOND (unsigned int *)0xF900000C
#define GPS_RESET     (unsigned int *)0xF9000000

void GPS_read_fast( TimeStamp *first, TimeStamp *last ) ;
void GPS_read_slow( TimeStamp *first ) ;
void GPS_read_calib( unsigned int *calib ) ;
void GPS_reset( void ) ;

#endif
